{
AppleScript = "
set x to 1
repeat with i from 0 to 2
	set x to (x + i) * 3
end repeat
return \"x=\" & x
";

JavaScript = "
var x = 1
for (i=0; i<3; i++) {
	x = (x+i) * 3
}
\"x=\" + x
";

Perl = "
$x = 1;
for my $i (0..2) {
	$x = ($x+$i) * 3;
}
print \"x=$x\";
";

PHP = "
$x = 1;
for ($i=0; $i<=2; $i++) {
	$x = ($x+$i) * 3;
}
echo \"x=$x\";
";

Python = "
import sys
x = 1
for i in range(0,3):
	x = (x+i) * 3
sys.stdout.write(\"x=\"+str(x))
";

Ruby = "
x = 1
for i in 0..2
	x = (x+i) * 3
end
print \"x=#{x}\"
";

Shell = "
x=1
for i in {0..2}
do
	let x=(x+i)*3
done
printf \"x=$x\"
";

Swift = "
var x = 1
for i in 0...2 {
	x = (x+i) * 3
}
print(\"x=\\(x)\", terminator: \"\")
";

}
